from quixote import get_publisher, get_request, redirect
from quixote.directory import Directory
from quixote.html import htmltext

import os

import wcs
import wcs.forms.root
import wcs.forms.preview
from wcs.qommon import _
from wcs.qommon import template
from wcs.qommon import errors
from wcs.qommon.form import *
from wcs.roles import logged_users_role

from wcs.qommon import emails

OldFormPage = wcs.forms.root.FormPage


class AlternateFormPage(OldFormPage):
    def form_side(self, *args, **kwargs):
        form_side_html = OldFormPage.form_side(self, *args, **kwargs)
        get_response().filter['gauche'] = form_side_html
        get_response().filter['steps'] = form_side_html
        return


wcs.forms.root.FormPage = AlternateFormPage
wcs.forms.root.PublicFormStatusPage.form_page_class = AlternateFormPage
wcs.forms.preview.PreviewFormPage.__bases__ = (AlternateFormPage,)
