import wcs
import wcs.root
from wcs import qommon

import wcs.forms.root
from wcs.forms.preview import PreviewDirectory

OldRootDirectory = wcs.root.RootDirectory


class AlternateRootDirectory(OldRootDirectory):
    _q_exports = [
        '',
        'admin',
        'backoffice',
        'forms',
        'login',
        'logout',
        'saml',
        'register',
        'ident',
        'afterjobs',
        'myspace',
        'services',
        'categories',
        'user',
        ('tmp-upload', 'tmp_upload'),
        'json',
        '__version__',
        'roles',
        'api',
        'code',
        'fargo',
        'tryauth',
        'auth',
        'preview',
        ('reload-top', 'reload_top'),
        'static',
        ('i18n.js', 'i18n_js'),
        'actions',
    ]

    code = wcs.forms.root.TrackingCodesDirectory()


from qommon.publisher import get_publisher_class

get_publisher_class().after_login_url = 'myspace/'
get_publisher_class().use_sms_feature = True
